import React from 'react';
import logo from '../../logo.svg';
import Mech from '../../Mech';

type MemberProps = {
    mech: Mech;
    remover: (index: number) => void;
    index: number;
};

function Member({mech, remover, index} : MemberProps) {
    return (
        <div className='mech-member'>
            <h3>{mech.name}</h3>
            <div className='mech-description'>
                <img src={logo} alt='Mech picture' />
                <ul className='mech-stats'>
                    <li>Class : {mech.kind}</li>
                    <li>Health : {mech.health}</li>
                </ul>
            </div>
            <button onClick={event => remover(index)}>Remove</button>
        </div>
    )
}

export default Member;